package com.qs.mp.admin.domain.vo;

import com.qs.mp.admin.domain.GroupBuyingAwards;
import com.qs.mp.admin.domain.GroupBuyingAwardsPrize;
import com.qs.mp.admin.domain.MarketingAwards;
import com.qs.mp.admin.domain.MarketingAwardsPrize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 拼团活动奖项出参类
 * @author yang.zhao
 */
@ApiModel("营销活动奖项出参类")
@Data
public class GroupBuyingAwardsVO extends GroupBuyingAwards {

    @ApiModelProperty("奖品列表")
    List<GroupBuyingAwardsPrize> prizeList;
}
