package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.GroupBuyingAwardsPrize;
import com.qs.mp.admin.domain.MarketingAwardsPrize;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-05-16 14:29:31
 * @describe 营销活动奖项对应奖品设置mapper类
 */
public interface GroupBuyingAwardsPrizeMapper extends BaseMapper<GroupBuyingAwardsPrize> {

    List<GroupBuyingAwardsPrize> listPrizeVO(@Param(Constants.WRAPPER) LambdaQueryWrapper<GroupBuyingAwardsPrize> eq);
}
