package com.qs.mp.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.admin.domain.param.GroupBuyingHitPrizeParam;
import com.qs.mp.admin.domain.vo.GroupBuyingHitPrize;

import java.util.List;
import java.util.Map;

/**
 * @auther yang.zhao
 * @describe 拼团活动中奖信息表mapper类
 */
public interface GroupBuyingHitPrizeMapper extends BaseMapper<GroupBuyingHitPrize> {

    /**
     * 根据参数查询用户中奖信息
     * @param groupBuyingHitPrizeParam
     * @return
     */
    List<Map<String, Object>> selectUserHitPrize(GroupBuyingHitPrizeParam groupBuyingHitPrizeParam);

}
