package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 拼团活动数据出参类
 * @author yang.zhao
 */
@ApiModel("营销活动数据出参类")
@Data
public class GroupBuyingGroupDataVO {

    @ApiModelProperty("团ID")
    private Long id;

    @ApiModelProperty("参团人数")
    private Integer partinNum;

    @ApiModelProperty("参团用户ID，逗号分割")
    private String partinIds;

    @ApiModelProperty("成团状态，3：进行中，5：已完成，2：已结束")
    private Integer groupStatus;

    @ApiModelProperty("发起人ID")
    private Long startGroupUser;

    @ApiModelProperty("拼团截止日期")
    private Date groupEndTime;

    @ApiModelProperty("拼团创建时间")
    private Date createTime;

}
